<?php
/* ******************************************
 * 卅为科技 - Config - INIT - 初始化
 * include_once
** *****************************************/

/* 时区设置 */
date_default_timezone_set('PRC');

/* 错误信息 */
ini_set('display_errors', 'On');ini_set("error_reporting", E_ERROR); //致命错误

/* 内存与执行 */
ini_set('memory_limit','1024M');ini_set('max_execution_time', '0');

/* 启动 SESSION */
session_start();

/* 公共参数 */
define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc());define('CONFIG_DIR', 'configs/');

/* 配置参数 */
$configs = array();

/* 数据库连接对象 */
$connDB = null;

//转义 \
if (! MAGIC_QUOTES_GPC) {
	$_GET     = _addslashes($_GET);
	$_POST    = _addslashes($_POST);
	$_REQUEST = _addslashes($_REQUEST);
	$_COOKIE  = _addslashes($_COOKIE);
}
$_GET     = _filter($_GET);
$_POST    = _filter($_POST);
$_REQUEST = _filter($_REQUEST);
$_COOKIE  = _filter($_COOKIE);

function _addslashes($value) {
	if (is_array($value)) {
		foreach ($value as $key => $val) {
			$value[$key] = _addslashes($val);
		} 
		return $value;
	} 
	return addslashes($value);
} 

// 去掉addslashes加的\
function _stripslashes($value) {
	if (is_array($value)) {
		foreach ($value as $k => $v) {
			$value[$k] = _stripslashes($v);
		} 
		return $value;
	} 
	return stripslashes($value);
}

// 过滤函数
function _filter($value) {
	if (is_array($value)) {
		foreach ($value as $key => $val) {
			$value[$key] = _filter($val);
		} 
		return $value;
	} 
	return _safe_replace(str_replace(array('..\\', '../', './', '.\\'), '', trim($value)));
}

function _safe_replace($string) {
	$string = str_replace('%20',  '', $string);
	$string = str_replace('%27',  '', $string);
	$string = str_replace('%2527','', $string);
	$string = str_replace('*',    '', $string);
	$string = str_replace('"',    '&quot;', $string);
	$string = str_replace("'",    '', $string);
	$string = str_replace('"',    '', $string);
	$string = str_replace(';',    '', $string);
	$string = str_replace('<',    '&lt;', $string);
	$string = str_replace('>',    '&gt;', $string);
	$string = str_replace("{",    '', $string);
	$string = str_replace('}',    '', $string);
	return $string;
}


?>